Bug 163286 - [67cat] [ergo] Javascript Debugger should be enabled with Ruby On Rails.
[67cat] [ergo] Javascript Debugger should be enabled with Ruby On Rails.
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Code
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: Petr Jiricka
issues@ruby
: ERGONOMICS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 16:50 UTC by esmithbss
Modified: 2009-04-23 08:57 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description esmithbss 2009-04-21 16:50:56 UTC
[ BUILD # : 200904210201 ]
[ JDK VERSION : 1.6.* ]

After installing NB to a clean system, I activated RoR and Java, then
activated JavaEE.  The Javascript Debugger was activated with JavaEE.
 

Most Ruby on Rails programs use parts of at least 1 Javascript
framework (Prototype) and should have the JavaScript Debugger
Activated with the Ruby and Rails activation.
Comment 1 Petr Jiricka 2009-04-22 14:30:40 UTC
I have a fix locally.

diff --git a/ruby.kit/manifest.mf b/ruby.kit/manifest.mf
--- a/ruby.kit/manifest.mf
+++ b/ruby.kit/manifest.mf
@@ -2,4 +2,5 @@
 OpenIDE-Module: org.netbeans.modules.ruby.kit/1
 OpenIDE-Module-Localizing-Bundle: org/netbeans/modules/ruby/kit/Bundle.properties
 OpenIDE-Module-Specification-Version: 0.105
+OpenIDE-Module-Recommends: org.netbeans.modules.web.client.tools.kit
 
Comment 2 Petr Jiricka 2009-04-22 16:40:23 UTC
Fixed.
http://hg.netbeans.org/web-main/rev/3611bb924d7e
Comment 3 Jaroslav Tulach 2009-04-23 07:45:35 UTC
This would be my fix as well. Thanks.
Comment 4 Quality Engineering 2009-04-23 08:57:29 UTC
Integrated into 'main-golden', will be available in build *200904230201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/3611bb924d7e
User: pjiricka@netbeans.org
Log: #163286 - JavaScript debugger should be enabled when I enable Ruby


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo